commit:     717a929b44dd20599cfb826e521397cebda099ce
Author:     Andrew Ammerlaan <andrewammerlaan <AT> riseup <DOT> net>
AuthorDate: Wed Feb  3 04:49:05 2021 +0000
Commit:     Andrew Ammerlaan <andrewammerlaan <AT> riseup <DOT> net>
CommitDate: Wed Feb  3 04:49:05 2021 +0000
URL:        https://gitweb.gentoo.org/proj/sci.git/commit/?id=717a929b

sci-biology/pileup: EAPI bump

Package-Manager: Portage-3.0.14, Repoman-3.0.2
Signed-off-by: Andrew Ammerlaan <andrewammerlaan <AT> riseup.net>

 sci-biology/pileup/pileup-0.6.ebuild | 41 ++++++++++++++++--------------------
 1 file changed, 18 insertions(+), 23 deletions(-)

diff --git a/sci-biology/pileup/pileup-0.6.ebuild 
b/sci-biology/pileup/pileup-0.6.ebuild
index 54c16576b..ad978f70f 100644
--- a/sci-biology/pileup/pileup-0.6.ebuild
+++ b/sci-biology/pileup/pileup-0.6.ebuild
@@ -1,36 +1,36 @@
 # Copyright 1999-2021 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
-EAPI=5
+EAPI=7
 
 DESCRIPTION="SSAHA2-based pipeline to align reads"
-HOMEPAGE="http://www.sanger.ac.uk/resources/software/ssaha2/";
+HOMEPAGE="https://www.sanger.ac.uk/resources/software/ssaha2/";
 SRC_URI="ftp://ftp.sanger.ac.uk/pub4/resources/software/ssaha2/pileup.tgz -> 
${P}.tgz"
 
 # http://samtools.sourceforge.net/pileup.shtml
 #
 LICENSE="GRL"
 SLOT="0"
-KEYWORDS=""
-IUSE=""
+KEYWORDS="~amd64"
 
-DEPEND=""
-RDEPEND="${DEPEND}"
-
-S="${WORKDIR}"/pileup_v"${PV}"
+S="${WORKDIR}/pileup_v${PV}"
 
 src_prepare(){
-       sed -i "s/^CC= gcc/#CC= gcc/" ssaha_pileup/ssaha_pileup/makefile || die 
"sed failed to fix makefile"
-       sed -i "s/^CFLAGS= -O2/#CFLAGS= -O2/" 
ssaha_pileup/ssaha_pileup/makefile || die "sed failed to fix makefile"
+       default
+       sed -i -e "s/^CC= gcc/#CC= gcc/" \
+               -e "s/^CFLAGS= -O2/#CFLAGS= -O2/" \
+               ssaha_pileup/ssaha_pileup/makefile || die "sed failed to fix 
makefile"
 
        for d in get_seqreads ssaha_split; do
-               sed -i "s/^CC = cc/#CC = cc/" 
ssaha_pileup/other_codes/$d/Makefile || die "sed failed to fix Makefile"
-               sed -i "s/^CFLAGS = -O4/#CFLAGS = -O4/" 
ssaha_pileup/other_codes/$d/Makefile || die "sed failed to fix Makefile"
+               sed -i -e "s/^CC = cc/#CC = cc/" \
+                       -e "s/^CFLAGS = -O4/#CFLAGS = -O4/" \
+                       ssaha_pileup/other_codes/$d/Makefile || die "sed failed 
to fix Makefile"
        done
 
        for d in search_read ssaha_parseSNP; do
-               sed -i "s/^CC = gcc/#CC = gcc/" 
ssaha_pileup/other_codes/$d/Makefile || die "sed failed to fix Makefile"
-               sed -i "s/^CFLAGS = -Wall -O4/#CFLAGS = -Wall -O4/" 
ssaha_pileup/other_codes/$d/Makefile || die "sed failed to fix Makefile"
+               sed -i -e "s/^CC = gcc/#CC = gcc/" \
+                       -e "s/^CFLAGS = -Wall -O4/#CFLAGS = -Wall -O4/" \
+               ssaha_pileup/other_codes/$d/Makefile || die "sed failed to fix 
Makefile"
        done
 }
 
@@ -40,22 +40,17 @@ src_compile(){
 
        for d in get_seqreads ssaha_split ssaha_parseSNP search_read; do
                cd "${S}"/ssaha_pileup/other_codes/$d  || die "Cannot cd to 
"${S}"ssaha_pileup/other_codes/"$d
-               make clean
+               emake clean
                default
        done
 }
 
 src_install(){
        cd ssaha_pileup/ssaha_pileup || die "Cannot cd to 
"${S}"ssaha_pileup/ssaha_pileup"
-       dobin ssaha_pileup ssaha_solexa ssaha_pairs ssaha_clean ssaha_mates 
ssaha_cigar ssaha_indel view_pileup ssaha_reads ssaha_merge ssaha_check-cigar 
"dobin failed"
+       dobin ssaha_pileup ssaha_solexa ssaha_pairs ssaha_clean ssaha_mates 
ssaha_cigar ssaha_indel view_pileup ssaha_reads ssaha_merge ssaha_check-cigar
 
-       cd "${S}" || die
-       for f in ssaha_pileup/other_codes/get_seqreads/get_seqreads \
-               ssaha_pileup/other_codes/ssaha_split/ssaha_split \
-               ssaha_pileup/other_codes/ssaha_parseSNP/ssaha_parseSNP \
-               ssaha_pileup/other_codes/search_read/search_read; do
-                       dobin $f "dobin failed"
-       done
+       cd "${S}/ssaha_pileup/other_codes" || die
+       dobin get_seqreads/get_seqreads ssaha_split/ssaha_split 
ssaha_parseSNP/ssaha_parseSNP search_read/search_read
 
        # TODO:
        # pileup_v0.6/ssaha_pileup/tag.pl

Reply via email to